Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.platform.xml
Interface XMLParser

All Known Implementing Classes:
  JAXPParser, XDKParser

public interface XMLParser

Field Summary
`static int` | `DTD_VALIDATION`
`static int` | `NONVALIDATING`
`static int` | `SCHEMA_VALIDATION`

Method Summary
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`int` | `getValidationMode()`
`org.w3c.dom.Document` | `parse(java.io.File file)`
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource inputSource)`
`org.w3c.dom.Document` | `parse(java.io.InputStream inputStream)`
`org.w3c.dom.Document` | `parse(java.io.Reader reader)`
`org.w3c.dom.Document` | `parse(javax.xml.transform.Source source)`
`org.w3c.dom.Document` | `parse(java.net.URL url)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler errorHandler)`
`void` | `setNamespaceAware(boolean isNamespaceAware)`
`void` | `setValidationMode(int validationMode)`
`void` | `setWhitespacePreserving(boolean isWhitespacePreserving)`
`void` | `setXMLSchema(java.net.URL url)`
`void` | `setXMLSchemas(java.lang.Object[] schemas)`

Field Detail

### NONVALIDATING

    public static final int NONVALIDATING

  See Also:
    Constant Field Values

### DTD_VALIDATION

    public static final int DTD_VALIDATION

  See Also:
    Constant Field Values

### SCHEMA_VALIDATION

    public static final int SCHEMA_VALIDATION

  See Also:
    Constant Field Values

Method Detail

### setNamespaceAware

    public void setNamespaceAware(boolean isNamespaceAware)

### setWhitespacePreserving

    public void setWhitespacePreserving(boolean isWhitespacePreserving)

### getValidationMode

    public int getValidationMode()

### setValidationMode

    public void setValidationMode(int validationMode)

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler errorHandler)

### setXMLSchema

    public void setXMLSchema(java.net.URL url)
                      throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### setXMLSchemas

    public void setXMLSchemas(java.lang.Object[] schemas)
                       throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource inputSource)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.File file)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.InputStream inputStream)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.io.Reader reader)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(javax.xml.transform.Source source)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

### parse

    public org.w3c.dom.Document parse(java.net.URL url)
                               throws XMLPlatformException

  Throws:
    `XMLPlatformException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD